<script setup lang="ts">
import LoginBtn from '@/components/LoginBtn.vue'
import MenuBtn from '@/components/MenuBtn.vue'
import router from '@/router'
import { ref } from 'vue'

const dialog = ref(false)
const icon = ref<any>()

const icons = ['mdi-facebook', 'mdi-twitter', 'mdi-linkedin', 'mdi-instagram']

// function navigateToMainMenu() {
//   dialog.value = false
//   router.push({ name: 'mainmenu' })
// }
</script>

<template>
  <div style="background-color: #151412">
    <div style="background-color: #eae7de">
      <v-parallax height="800" src="\src\assets\Login\login.png">
        <div class="d-flex flex-column fill-height justify-center align-center text-white">
          <h1 style="font-size: 150px">COFFEE SHOP</h1>
          <h4 class="subheading">Welcome to coffee shop!</h4>
          <br />
          <div>
            <login-btn></login-btn>
            <MenuBtn></MenuBtn>
          </div>
        </div>
      </v-parallax>
    </div>
    <div style="background-color: #151412">
      <br /><br />
      <v-row>
        <v-col Align="center" style="color: #b89769">What Happens Here</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: white; font-size: 50px">COFFEE BUILD YOUR BASE.</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: #b89769">____________</v-col>
      </v-row>
      <div class="fill-height text-white" style="padding: 180px; display: flex; flex-wrap: wrap">
        <div style="margin-right: 150px">
          <v-img :width="410" src="\src\assets\Login\image1.jpg"></v-img>
          <h4 style="font-size: 30px; margin-top: 20px">Best Ingredient</h4>
          <p class="subheading" style="margin-top: 10px; font-size: 15px">
            Our shop imports raw materials from overseas
          </p>
          <p class="subheading" style="font-size: 15px">
            and carefully selected Makes our raw materials
          </p>
          <p class="subheading" style="font-size: 15px">have very good quality and standards.</p>
        </div>
        <div style="margin-right: 150px">
          <v-img :width="400" src="\src\assets\Login\image2.jpg"></v-img>
          <h4 style="font-size: 30px; margin-top: 20px">Beautiful Place</h4>
          <p class="subheading" style="margin-top: 10px; font-size: 15px">
            Our shop has a simple but beautiful decoration
          </p>
          <p class="subheading" style="font-size: 15px">
            that maintains the uniqueness of the shop
          </p>
          <p class="subheading" style="font-size: 15px">
            It has a black and brown theme and is a great place
          </p>
          <p class="subheading" style="font-size: 15px">to chill while drinking coffee.</p>
        </div>
        <div>
          <v-img :width="400" src="\src\assets\Login\barista.jpg"></v-img>
          <h4 style="font-size: 30px; margin-top: 20px">Professional Barista</h4>
          <p class="subheading" style="margin-top: 10px; font-size: 15px">
            Our coffee baristas have a lot of experience in coffee shops,
          </p>
          <p class="subheading" style="font-size: 15px">
            allowing them to make delicious and unique coffee.
          </p>
          <p class="subheading" style="font-size: 15px">have very good quality and standards.</p>
        </div>
      </div>
    </div>
    <div>
      <div style="background-color: #eae7de">
        <v-parallax height="500" src="\src\assets\Login\image3.png">
          <div class="fill-height text-white" style="padding: 75px; display: flex; flex-wrap: wrap">
            <div style="margin-right: 300px">
              <h4 style="font-size: 20px">OPENING HOURS</h4>
              <p class="subheading" style="margin-top: 50px; font-size: 15px">
                MONDAY____________9:00-19:00
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                TUESDAY____________CLOSED
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                WEDNESDAY_________9:00-19:00
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                THURSDAY___________9:00-19:00
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                FRIDAY______________9:00-21:00
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                SATURDAY__________9:00-21:00
              </p>
              <p class="subheading" style="margin-top: 30px; font-size: 15px">
                SUNDAY_____________9:00-21:00
              </p>
            </div>
            <div style="margin-right: 300px">
              <h4 style="font-size: 20px">CONTACT US</h4>
              <p class="subheading" style="margin-top: 50px">D_Coffee@gmail.com</p>
              <p class="subheading" style="margin-top: 10px">095 332 5290</p>
            </div>
            <div style="margin-right: 250px">
              <h4 style="font-size: 20px">LOCATION</h4>
              <p class="subheading" style="margin-top: 50px">Faculty of Allied Health Sciences</p>
              <p class="subheading" style="margin-top: 10px">Burapha University</p>
              <p class="subheading" style="margin-top: 10px">Chon Buri</p>
              <p class="subheading" style="margin-top: 10px">Thailand</p>
              <p class="subheading" style="margin-top: 10px">20131</p>
            </div>
            <div>
              <h4 style="font-size: 20px">Website Help Center</h4>
              <p class="subheading" style="margin-top: 50px">K.Pon</p>
              <p class="subheading" style="margin-top: 10px">Tel 098 526 1242</p>
              <p class="subheading" style="margin-top: 10px">K.Yo</p>
              <p class="subheading" style="margin-top: 10px">Tel 091 256 6031</p>
            </div>
          </div>
        </v-parallax>
      </div>
    </div>
    <v-footer class="bg-grey-darken-4 text-center d-flex flex-column">
      <div>
        <v-btn v-for="icon in icons" :key="icon" class="mx-4" :icon="icon" variant="text"></v-btn>
      </div>
    </v-footer>
  </div>
</template>

<style>
body {
  font-family: 'Crimson Text';
}
</style>
